#include "chil_global.h"

#define RAL_BAD -999.0

float CHILzh(short x) {
  return (((float) x) * ZH_SCALING_93);
}
float CHILraw(short x) {
  return ((float) x);
}
float CHILzh_highprecision(short x) {
  return (((float) x) * ZH_SCALING_HP);
}
float CHILzdr(short x) {
  return (((float) x) * ZDR_SCALING_93);
}
float CHILzdr_highprecision(short x) {
  return (((float) x) * ZDR_SCALING_HP);
}
float CHILldr(short x) {
  return (((float) x) * LDR_SCALING_93);
}
float CHILphidp_old(short x) {
  return (0.5 * atan(((float) x) * PHASE_SCALING_93));
}
float CHILphidp(short x) {
  return (((float) x) * PHASE_SCALING_93);
}
float CHILphidp_new(short x) {
  return (((float) x) * PHASE_SCALING_93 * 10.0);
}
float CHILvel_old(short x) {
  return (-2.3679155 * atan(((float) x) * PHASE_SCALING_93));
}
float CHILvel(short x) {
  return (((float) x) * PHASE_SCALING_93);
}


